package com.docus.server.collect.web.enums;

public enum ColectNameEnum {
    /**
     * 采集器代码
     */
    COLLECTID("SYS_CODE"),
    /**
     * 记账号
     */
    JZH("FVISIT_ID"),
    /**
     * 文件标题
     */
    FILENAME("REPORT_NAME"),
    /**
     * 检查日期
     */
    CHECKTIME("CHECKTIME"),
    /**
     * 检查人
     */
    RUMMAGER("RUMMAGER"),
    /**
     * 文件id
     */
    FILEID("RP_EXAM_NO"),
    /**
     * 文件分类
     */
    ASSORTID("ASSORTID"),
    /**
     * 文件分类-小类
     */
    BGLX("BGLX"),
    /**
     * 文件下载方式
     */
    PATHTYPE("PATH_TYPE"),
    /**
     * 文件下载地址
     */
    FILEPATH("FILE_PATH"),
    /**
     * 任务id
     */
    TASKID("TASKID"),
    /**
     * 下载状态
     */
    STATE("STATE"),
    /**
     * 检查号
     */
    JCH("JCH"),
    /**
     * 住院次数
     */
    AdmissTimes("ADMISS_TIMES"),
    /**
     * 病案主键
     */
    PatientId("patient_id"),
    /**
     * 住院号
     */
    InpatientNo("inpatient_no"),
    /**
     * 住院日期
     */
    AdmissDate("admiss_date"),
    /**
     * 出院日期
     */
    DisDate("dis_date"),
    /**
     * 病案验证方式
     */
    MedicalRecord("MEDICALRECORD"),
    /**
     * 报告时间
     */
    EXAMTIME("EXAM_TIME"),
    /**
     * 住院号
     */
    ZYH("ZYH"),
    ModifyTime("MODIFYTIME"),
    RecordLog("RECORDLOG"),
    /**
     * 优先级
     */
    priority("PRIORITY"),
    /**
     * 是否新数据，0:否，1：是
     */
    nowdata("nowdata"),
    ;

    private String code;

    private ColectNameEnum(String code) {     //必须是private的，否则编译错误
        this.code = code;
    }

    public String value() {
        return this.code;
    }
}
